<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE> 게시판 </TITLE>
<base target="_self">
<META HTTP-EQUIV="imagetoolbar" CONTENT="no">
<meta http-equiv="Content-Type" content="text/html; charset=euc-kr">
<script  language="javascript" src="../js/parse_get.js" type="text/JavaScript"></script>
<script  language="javascript" src="../js/parse_cookie.js" type="text/JavaScript"></script>
<script  language="javascript" src="./js/viewData.js" type="text/JavaScript"></script>
<script language="javascript">
var cate = _get["cateBoardName"][0];
var page_no = _get["page_no"][0];
var uid = _get["uid"][0];
var obj = eval("viewVal["+cate+"]");
var len = obj.length;

var subject;
var names;
var times;
var file_start;
var file_end;
var file_down;
var enHeight;
var list_ref;
var contents;
var hide;

for(i=0; i <len; i++) {
	if(obj[i][0] == uid) {
		subject = obj[i][2];
		names = obj[i][1];
		contents = obj[i][3];
		times = obj[i][4];
		file_start = obj[i][10];
		file_end = obj[i][11];
		file_down = obj[i][9];
		enHeight = obj[i][12];
		hide = obj[i][7];
		list_ref = "<a href=\"./list.html?page_no[]="+page_no+"&cateBoardName[]="+cate+"\">";
		break;
	}
}

function open_download(url) {
	//window.open(url,"","width=350, height=440, top=150, left=200");
	window.showModelessDialog(url,url,'resizable:no;edge:raised;help:no;scroll:no;status:no;dialogHeight:450px;dialogWidth:350px;center:yes;');
}

function getCookie( name ){
				
	var nameOfCookie = name + '=';
	var x = 0;
	var val;
	while ( x <= document.cookie.length )
	{
		var y = (x+nameOfCookie.length);
		if ( document.cookie.substring( x, y ) == nameOfCookie ) {
			if ( (endOfCookie=document.cookie.indexOf( ';', y )) == -1 )
				endOfCookie = document.cookie.length;
			val=unescape( document.cookie.substring( y, endOfCookie ) );
			return val;

		}
		x = document.cookie.indexOf( ' ', x ) + 1;
		
		if ( x == 0 ) break;
	}
	return 'open';
}

if(hide) {
	var pid = cate+"_"+uid;
	var hiddShow = getCookie(pid);

	if(!hiddShow) {
		alert("비밀글 열람 권한이 없습니다.");
		history.back();
	}
}


function openBlankFile(url,org,urls) {
	if(parent.HTML_EXECUTABLE==true)
	{
		var Path = location.href;
		var sp = Path.indexOf("view.html");
		var rePath = Path.substring(0,sp);
		var re_url = rePath+url;
		window.external.runHEScriptCom('hescript://UserMain.testFunction2|'+re_url+"|"+org);
	}
	else {
		//var chkOpen = top.opener.location.href;
		//window.showModelessDialog(urls,urls,'resizable:no;edge:raised;help:no;scroll:no;status:no;dialogHeight:450px;dialogWidth:350px;center:yes;');
		window.open(url,"","width=500,height=500,left=150,top=150,toolbar=yes,location=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes");

		
	}
}
</script>
<link href="./skin/style.css" rel="stylesheet" type="text/css">
<style type="text/css">
	   <!-- 
		#box {width:100%;height:<?=$contetnHeight?>;overflow: auto; padding:5px;border:1;line-height:15pt;font-size:9pt;align:center;}
		DIV {scrollbar-face-color: #FFFFFF;
		scrollbar-shadow-color: #A0A0A0; 
		scrollbar-highlight-color: #FFFFFF;
		scrollbar-3dlight-color: #A0A0A0; 
		scrollbar-darkshadow-color: #F6F6F6;
		scrollbar-track-color: #F6F6F6; 
		scrollbar-arrow-color: #A0A0A0;} 
		//-->
</style>
</HEAD>

<BODY oncontextmenu="return false"  scroll="no" leftmargin="0" topmargin="0"  >
<TABLE WIDTH="100%" BOARD="0" CELLSPACING="0" CELLPADDING="0">
  <TR>
    <TD>
<!--///게시판 시작///-->
	  <Table width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr>  
		  <td valign="top"> 

		    <Table width="100%" height="33" border="0" cellpadding="0" cellspacing="0">
			  <tr> 
			    <td width="8" background="./skin/bbs_bg_list_left.gif"><img src="./skin/bbs_gap.gif" width="5" height="5"></td>
			    <td> 
				  <!--내용-->
<script language="javascript">				
				  html = "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"7\">";
				    html += "<tr>"; 
					  html += "<td><strong><div style=\'width:100%;height:18px;padding:5,5,0,5;overflow:hidden;word-break:break-all\'>제목 : </strong>"+subject+" </td>";
					  html += "<td width=\"110\" align=\"right\"><div style=\'width:100%;height:18px;padding:5,5,0,5;overflow:hidden;word-break:break-all\'><strong>[</strong>"+names+"-"+times+"<strong>]</div></strong></td>";
				    html += "</tr>";
				  html += "</table>";
				  html += "<table width=\"100%\" height=\"11\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" background=\"./skin/bbs_read_line.gif\">";
				    html += "<tr>"; 
					  html += "<td><img src=\"./skin/bbs_gap.gif\" width=\"5\" height=\"11\"></td>";
				    html += "</tr>";
				  html += "</table>";
				  html += "<table width=\"100%\" border=\"0\" cellspacing=\"4\" cellpadding=\"0\">";
				    html += "<tr>";
					  html += "<td height=25><font color=\"#4C4C4C\">"+file_start+"<strong>첨부파일 : </strong>"+file_down+"</a>"+file_end+"</font></td>";
				    html += "<tr>"; 
					  html += "<td height=\""+enHeight+"\" valign=top><font color=\"#4C4C4C\">"+contents+"</font></td>";
				    html += "</tr>";
				    html += "<tr>"; 
					  html += "<td><img src=\"./skin/bbs_gap.gif\"></td>";
				    html += "</tr>";
				  html += "</table>";

				  document.write(html);
</script>
				  
				  <!--내용 end-->
			    </td>
			    <td width="8" background="./skin/bbs_bg_list_right.gif"><img src="./skin/bbs_gap.gif" width="5" height="5"></td>
			  </tr>
		    </Table>
		  
		  </td>
		</tr>
		<tr>	          
		<td>
			<!--버튼 나열-->
		  <Table width="100%" height="47" border="0" cellpadding="0" cellspacing="0">
		    <tr> 
			  <td width="8"><img src="./skin/bbs_bg_gottom_left.gif" width="8" height="47"></td>
			  <td align="right" background="./skin/bbs_bg_bottom.gif"><script>document.write(list_ref);</script><img src="./skin/bbs_btn_list.gif" hspace="10" border=0></a></td>
			  <td width="8"><img src="./skin/bbs_bg_gottom_right.gif" width="8" height="47"></td>
			</tr>
		  </Table>
			<!--버튼 나열 end-->
		</td>
	  </tr>
	</Table>
  </TD>
  </TR>
</TABLE>
</BODY>
</HTML>
